Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5099)
@@ -56,5 +56,5 @@
 !jyg<
 !  noff is chosen such that nl = k_upper so that upmost loops end at about 22 km
-!
+
   noff = min(max(nd-k_upper, 1), (nd+1)/2)
 !!  noff = 1
@@ -1250,7 +1250,7 @@
              qnk(i)*(lv0-clmcpv*(tnk(i)-273.15)) + gznk(i)
   END DO
-!
+
 !  Ice fraction
-!
+
   IF (cvflag_ice) THEN
     DO k = minorig, nl
@@ -1307,14 +1307,13 @@
   END DO
 !>jyg
-!
 
 ! ***  Find lifted parcel quantities above cloud base    ***
 
 !----------------------------------------------------------------------------
-!
+
   IF (icvflag_Tpa == 2) THEN
-!
+
 !----------------------------------------------------------------------------
-!
+
     DO k = minorig + 1, nl
       DO i = 1,ncum
@@ -1392,5 +1391,5 @@
                   Ux*  (ah0(i) - ahg - ddelta)           /aa
             ENDIF ! (tg .gt. Tx)
-!
+
 !!     print *,' j, k, Um, U, Ux, aa, bb, discr, dd, ddelta ', j, k, Um, U, Ux, aa, bb, discr, dd, ddelta
 !!     print *,' j, k, ah0(i), ahg, tg, qg, tp(i,k), ff ', j, k, ah0(i), ahg, tg, qg, tp(i,k), ff
@@ -1420,9 +1419,9 @@
     END DO ! k = minorig + 1, nl
 !----------------------------------------------------------------------------
-!
+
   ELSE IF (icvflag_Tpa == 1) THEN  ! (icvflag_Tpa == 2)
-!
+
 !----------------------------------------------------------------------------
-!
+
     DO k = minorig + 1, nl
       DO i = 1,ncum
@@ -1487,5 +1486,5 @@
         END IF ! (k>=(icbs(i)+1))
       END DO ! i = 1, ncum
-!
+
       IF (cvflag_prec_eject) THEN
         DO i = 1, ncum
@@ -1510,5 +1509,5 @@
 !   ejection.
 !  =====================================================================================
-!  
+
 !   Verif
             qpreca(i,k) = ejectliq*qpl(i,k) + ejectice*qps(i,k)                                   !!jygprl
@@ -1516,7 +1515,7 @@
             frac_s(i,k) = (1.-ejectliq)*frac(i,k) + &                                             !!jygprl
                ejectliq*(1. - (qpl(i,k)+(1.-frac(i,k))*qcld(i,k))/max(clw(i,k),smallestreal))     !!jygprl
-!          
+
             denomm1 = 1./(1. - qpreca(i,k))
-!          
+
             qta(i,k) = qta(i,k-1) - &
                       qpreca(i,k)*(1.-qta(i,k-1))*denomm1
@@ -1537,13 +1536,13 @@
         END DO ! i = 1, ncum
       ENDIF  ! (cvflag_prec_eject)
-! 
+
     END DO ! k = minorig + 1, nl
-!
+
 !----------------------------------------------------------------------------
-!
+
   ELSE IF (icvflag_Tpa == 0) THEN! (icvflag_Tpa == 2) ELSE IF(icvflag_Tpa == 1)
-!
+
 !----------------------------------------------------------------------------
-!
+
   DO k = minorig + 1, nl
     DO i = 1, ncum
@@ -1703,14 +1702,14 @@
 
 !----------------------------------------------------------------------------
-!
+
   ENDIF ! (icvflag_Tpa == 2) ELSEIF (icvflag_Tpa == 1) ELSE (icvflag_Tpa == 0)
-!
+
 !----------------------------------------------------------------------------
-!
+
 ! =====================================================================
 ! --- SET THE PRECIPITATION EFFICIENCIES 
 ! --- THESE MAY BE FUNCTIONS OF TP(I), P(I) AND CLW(I)
 ! =====================================================================
-!
+
   IF (flag_epkeorig/=1) THEN
     DO k = 1, nl ! convect3
@@ -1748,5 +1747,5 @@
     END DO
   END IF
-!
+
 !   =========================================================================
   IF (prt_level >= 10) THEN
@@ -1754,5 +1753,5 @@
                           (k, tp(1,k), tvp(1,k), k = 1,nl)
   ENDIF
-!
+
 ! =====================================================================
 ! --- CALCULATE VIRTUAL TEMPERATURE AND LIFTED PARCEL
@@ -1986,7 +1985,7 @@
 
 !jyg : cvflag_ice test outside the loops (07042015)
-!
+
   IF (cvflag_ice) THEN
-!
+
   IF (cvflag_prec_eject) THEN
 !!    DO k = minorig + 1, nl
@@ -2020,7 +2019,7 @@
       END DO
     END DO
-!
+
   ELSE   ! (cvflag_ice)
-!
+
     DO k = minorig + 1, nl
       DO i = 1, ncum
@@ -2036,5 +2035,5 @@
       END DO
     END DO
-!
+
   END IF  ! (cvflag_ice)
 
@@ -2049,5 +2048,5 @@
 ! ===================================================================
 ! ---  CLOSURE OF CONVECT3
-!
+
 ! vectorization: S. Bony
 ! ===================================================================
@@ -2855,7 +2854,6 @@
   END DO
 
-!
 ! Get adiabatic ascent mass flux 
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   IF (adiab_ascent_mass_flux_depends_on_ejectliq) THEN
@@ -2892,7 +2890,7 @@
 
 ! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-!
+
 ! ***                    begin downdraft loop                    ***
-!
+
 ! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
@@ -2910,6 +2908,6 @@
 ! ***  integrate liquid water equation to find condensed water   ***
 ! ***                and condensed water flux                    ***
-!
-!
+
+
 ! ***              calculate detrained precipitation             ***
 
@@ -3037,10 +3035,9 @@
         bfac = 1./(sigd(il)*wt(il,i))
 
-!
     IF (prt_level >= 20) THEN
       Print*, 'cv3_unsat after provisional rp estimate: rp, afac, bfac ', &
           i, rp(1, i), afac,bfac
     ENDIF
-!
+
 !JYG1
 ! cc        sigt=1.0
@@ -3117,10 +3114,9 @@
           evap(il, i) = (wdtrain(il)+sigd(il)*wt(il,i)*(prec(il,i+1)-prec(il,i))) / &
                         (sigd(il)*(ph(il,i)-ph(il,i+1))*100.)
-!
+
     IF (prt_level >= 20) THEN
       Print*, 'cv3_unsat after evap computation: wdtrain, sigd, wt, prec(i+1),prec(i) ', &
           i, wdtrain(1), sigd(1), wt(1,i), prec(1,i+1),prec(1,i)
     ENDIF
-!
 
 !jyg<
@@ -3349,10 +3345,9 @@
     END DO
 ! ----------------------------------------------------------------
-!
+
     IF (prt_level >= 20) THEN
       Print*, 'cv3_unsat after mp computation: mp, b(i), b(i-1) ', &
           i, mp(1, i), b(1,i), b(1,max(i-1,1))
     ENDIF
-!
 
 ! ***       find mixing ratio of precipitating downdraft     ***
@@ -3495,5 +3490,5 @@
       REAL, DIMENSION (nloc, na),INTENT(IN)              :: qpreca
       REAL, INTENT(IN)                                   :: tau_cld_cv, coefw_cld_cv
-!
+
 !input/output:
       REAL, DIMENSION (nloc, na), INTENT (INOUT)         :: m, mp
@@ -3502,5 +3497,5 @@
       REAL, DIMENSION (nloc, nd), INTENT (INOUT)         :: sig
       REAL, DIMENSION (nloc), INTENT (INOUT)             :: sigd
-!
+
 !outputs:
       REAL, DIMENSION (nloc), INTENT (OUT)               :: precip
@@ -3518,5 +3513,5 @@
       REAL, DIMENSION (nloc), INTENT (OUT)               :: wd                          ! gust
       REAL, DIMENSION (nloc), INTENT (OUT)               :: cbmf
-!
+
 !local variables:
       INTEGER                                            :: i, k, il, n, j, num1
@@ -3544,5 +3539,5 @@
       REAL, DIMENSION (nloc, nd, nd)                     :: qdet
       REAL sumdq !jyg
-! 
+
 ! -------------------------------------------------------------
 
@@ -3712,5 +3707,5 @@
   ENDIF ! (adiab_ascent_mass_flux_depends_on_ejectliq) ELSE
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!
+
 !    print*,'cv3_yield avant ft'
 ! am is the part of cbmf taken from the first level
@@ -3846,17 +3841,16 @@
            IF (ok_optim_yield) THEN                       !|
 !-----------------------------------------------------------
-!
+
 !***                                                      ***
 !***    Compute convective mass fluxes upwd and dnwd      ***
 
-!
 ! =================================================
 !              upward fluxes                      |
 ! ------------------------------------------------
-!
+
 upwd(:,:) = 0.
 up_to(:,:) = 0.
 up_from(:,:) = 0.
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   IF (adiab_ascent_mass_flux_depends_on_ejectliq) THEN
@@ -3866,5 +3860,5 @@
 !! WARNING : in the present version, taking into account the mass-flux decrease due to 
 !! precipitation ejection leads to water conservation violation.
-!
+
 ! - Upward mass flux of mixed draughts
 !---------------------------------------
@@ -3878,5 +3872,5 @@
   ENDDO
 ENDDO
-!
+
 DO j = 3, nl
   DO i = 2, j-1
@@ -3888,9 +3882,9 @@
   ENDDO
 ENDDO
-!
+
 ! The difference between upwd(il,i) and upwd(il,i-1) is due to updrafts ending in layer 
 !(i-1) (theses drafts cross interface (i-1) but not interface(i)) and to updrafts starting 
 !from layer (i-1) (theses drafts cross interface (i) but not interface(i-1)): 
-! 
+
 DO i = 2, nlp
   DO il = 1, ncum
@@ -3900,5 +3894,5 @@
   ENDDO
 ENDDO
-!
+
 ! - Total upward mass flux
 !---------------------------
@@ -3915,5 +3909,5 @@
 !! The decrease of the adiabatic ascent mass flux due to ejection of precipitation 
 !! is not taken into account. 
-!
+
 ! - Upward mass flux
 !-------------------
@@ -3932,5 +3926,5 @@
   ENDDO
 ENDDO
-!
+
 DO i = 1, nl
   DO il = 1, ncum
@@ -3940,5 +3934,5 @@
   ENDDO
 ENDDO
-!
+
 DO j = 3, nl
   DO i = 2, j-1
@@ -3950,9 +3944,9 @@
   ENDDO
 ENDDO
-!
+
 ! The difference between upwd(il,i) and upwd(il,i-1) is due to updrafts ending in layer 
 !(i-1) (theses drafts cross interface (i-1) but not interface(i)) and to updrafts starting 
 !from layer (i-1) (theses drafts cross interface (i) but not interface(i-1)): 
-! 
+
 DO i = 2, nlp
   DO il = 1, ncum
@@ -3967,5 +3961,4 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-!
 ! =================================================
 !              downward fluxes                    |
@@ -3984,5 +3977,5 @@
   ENDDO
 ENDDO
-!
+
 DO j = 1, nl
   DO i = j+1, nl
@@ -3995,9 +3988,9 @@
   ENDDO
 ENDDO
-!
+
 ! The difference between dnwd(il,i) and dnwd(il,i+1) is due to downdrafts ending in layer 
 !(i) (theses drafts cross interface (i+1) but not interface(i)) and to downdrafts 
 !starting from layer (i) (theses drafts cross interface (i) but not interface(i+1)): 
-!
+
 DO i = nl-1, 1, -1
   DO il = 1, ncum
@@ -4007,5 +4000,5 @@
 ENDDO
 ! =================================================
-!
+
 !-----------------------------------------------------------
         ENDIF !(ok_optim_yield)                           !|
@@ -4031,5 +4024,4 @@
     IF (num1<=0) GO TO 500
 
-!
 !jyg<
 !-----------------------------------------------------------
@@ -4089,9 +4081,9 @@
       END DO
     END DO
-!
+
 !-----------------------------------------------------------
         ENDIF !(ok_optim_yield)                           !|
 !-----------------------------------------------------------
-!
+
 !!   print *,'yield, i, amp1, ad', i, amp1(1), ad(1)
 
@@ -4150,5 +4142,5 @@
                                     t(il,i)*(cpv-cpd)*(rr(il,i)-qent(il,i,i)))*cpinv
         END IF
-!
+
 ! sb: on ne fait pas encore la correction permettant de mieux
 ! conserver l'eau:
@@ -4207,6 +4199,6 @@
             ft(il, i) = ft(il, i) + 0.01*grav*dpinv*ment(il, k, i) * &
                  (hent(il,k,i)-h(il,i)+t(il,i)*(cpv-cpd)*(rr(il,i)+awat(il)-qent(il,k,i)))*cpinv
-!
-!
+
+
           END IF ! i
         END DO
@@ -4555,9 +4547,9 @@
     END IF
   END DO
-!
+
     IF (prt_level >= 5) THEN
       print *,' CV3_YIELD : alpha_qpos ',alpha_qpos(1)
     ENDIF
-!
+
   DO il = 1, ncum
     IF (iflag(il)<=1) THEN
@@ -4966,5 +4958,5 @@
   REAL, DIMENSION (len, na, na), INTENT (OUT)        :: phi, phi2, epmlmMm
   REAL, DIMENSION (len, na), INTENT (OUT)            :: da, d1a, dam, eplaMm
-!
+
 ! variables pour tracer dans precip de l'AA et des mel
 !local variables:
@@ -5129,5 +5121,5 @@
 !AC! 2110    continue
 !AC! 2100   continue
-!
+
   RETURN
 END SUBROUTINE cv3_uncompress
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_compress.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_compress.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_compress.F90	(revision 5099)
@@ -60,8 +60,8 @@
   REAL, DIMENSION (len), INTENT (IN)                 :: Ale1, Alp1
   REAL, DIMENSION (len, nd), INTENT (IN)             :: omega1
-!
+
   ! in/out 
   INTEGER, INTENT (INOUT)                            :: ncum
-!
+
   ! outputs:
   ! en fait, on a nloc=len pour l'instant (cf cv_driver)
@@ -137,5 +137,5 @@
     END DO
   END DO
-!
+
   ! AC!      do 121 j=1,ntra
   ! AC!ccccc      do 111 k=1,nl+1
@@ -187,10 +187,10 @@
     CALL abort_physic(modname, abort_message, 1)
   END IF
-!
+
 !jyg<
   ELSE  !(compress)
-!
+
       ncum = len
-!
+
       wghti(:,1:nl+1) = wghti1(:,1:nl+1)
       t(:,1:nl+1) = t1(:,1:nl+1)
@@ -223,5 +223,5 @@
       w0(:,1:nl+1) = w01(:,1:nl+1)
       omega(:,1:nl+1) = omega1(:,1:nl+1)
-!
+
       s_wake(:) = s1_wake(:)
       iflag(:) = iflag1(:)
@@ -242,5 +242,5 @@
       Ale(:) = Ale1(:)
       Alp(:) = Alp1(:)
-!
+
   ENDIF !(compress)
 !>jyg
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_uncompress.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_uncompress.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_uncompress.F90	(revision 5099)
@@ -260,8 +260,8 @@
     ! 2210     enddo
     ! 2220    enddo
-!
+
 !jyg<
   ELSE  !(compress)
-!
+
       sig1(:,nd) = sig(:,nd)
       ptop21(:) = ptop2(:)
@@ -282,5 +282,5 @@
       supmax01(:) = supmax0(:)
       asupmaxmin1(:) = asupmaxmin(:)
-!
+
       sig1(:, 1:nl) = sig(:, 1:nl)
       w01(:, 1:nl) = w0(:, 1:nl)
@@ -318,5 +318,5 @@
       sigt1(:, 1:nl) = sigt(:, 1:nl)
       detrain1(:, 1:nl) = detrain(:, 1:nl)
-!
+
       ma1(:, nlp) = 0.
       vprecip1(:, nlp) = 0.
@@ -326,5 +326,4 @@
       dnwd01(:, nlp) = 0.
 
-!
       phi1    (:, 1:nl, 1:nl) = phi    (:, 1:nl, 1:nl)  !AC!
       phi21   (:, 1:nl, 1:nl) = phi2   (:, 1:nl, 1:nl)  !RomP
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90	(revision 5099)
@@ -494,5 +494,5 @@
     END DO
   END DO
-!
+
 !    prevent convection when ale+cin <= 0
   DO k = 1, nl
@@ -504,10 +504,10 @@
   END DO
 !>jyg
-!
+
   IF (prt_level >= 20) THEN
     print *,'cv3p2_closure: dtmin ', (k, dtmin(igout,k), k=1,nl)
     print *,'cv3p2_closure: dtminmax ', dtminmax(igout)
   ENDIF
-!
+
   ! the interval on which cape is computed starts at pbase :
 
@@ -565,5 +565,4 @@
   IF (prt_level>=20) PRINT *, 'cv3p2_closure apres 700'
 
-  ! 
   ! ------------------------------------------------------------------------
   ! c     Compute Cloud base mass flux given by Cape closure (cbmflim = cbmf of 
@@ -836,9 +835,8 @@
   END DO
   ENDIF ! (ok_convstop)
-!
+
   IF (prt_level >= 10) THEN
    print *,'cv3p2_closure: iflag ',iflag(igout)
   ENDIF
-!
 
   ! c 4. Introduce a correcting factor for coef, in order to obtain an
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90	(revision 5099)
@@ -113,5 +113,5 @@
             fmax, gammas, qqa1, qqa2, Qcoef1max, Qcoef2max
 !>jyg
-!
+
   END IF
 
@@ -514,12 +514,12 @@
 !                             (1.+lv(il,j)*lv(il,j)*rs(il,j) / &
 !                              ((cpd*(1.-Qent(il,i,j))+Qent(il,i,j)*cpv)*rrv*t(il,j)*t(il,j)))
-!
+
 !       Computation of condensate amount Elij, taking into account the ice fraction frac
 !       Warning : the same saturation humidity rs is used over both liquid water and ice; this
 !                 should be corrected.
-!
+
 !  Heat capacity of mixed draught
     cpm = cpd+Qent(il,i,j)*(cpv-cpd)
-!
+
     IF (cvflag_ice .and. frac(il,j) > 0.) THEN
             elij(il, i, j) = Qent(il, i, j) - rs(il, j)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv_driver.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv_driver.F90	(revision 5099)
@@ -696,5 +696,5 @@
   cvflag_grav = .TRUE.
   cvflag_ice = iflag_ice_thermo >= 1
-  !
+
 ! si icvflag_Tpa=0, alors la fraction de glace dans l'ascendance adiabatique est
   ! fonction de la temperature de l'environnement et la temperature de l'ascendance est 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90	(revision 5099)
@@ -367,5 +367,4 @@
 !        14     No moist convection; atmosphere is very
 !               stable (=> no computation)
-!
 
 ! ft:   Array of temperature tendency (K/s) of dimension ND, defined at same
@@ -857,7 +856,7 @@
 !   If the fraction of convective points is larger than comp_threshold, then compression
 !   is assumed useless.
-!
+
   compress = ncum < len*comp_threshold
-!
+
   IF (.not. compress) THEN
     DO i = 1,len
@@ -865,5 +864,5 @@
     ENDDO
   ENDIF
-!
+
 !>jyg
         if (prt_level >= 9) &
@@ -1096,5 +1095,5 @@
 !!                     wdtrainA, wdtrainM)                                       ! RomP
                      wdtrainA, wdtrainS, wdtrainM)                               !!jygprl
-!
+
       IF (prt_level >= 10) THEN
         Print *, 'cva_driver after cv3_unsat:mp , water, ice, evap, fondue '
@@ -1110,5 +1109,5 @@
         ENDDO
       ENDIF
-!
+
     END IF  !(iflag_con==3)
 
@@ -1152,11 +1151,11 @@
 !!                     ftd, fqd, qnk, qtc, sigt, tau_cld_cv, coefw_cld_cv)
                      ftd, fqd, qta, qtc, sigt, detrain, tau_cld_cv, coefw_cld_cv)         !!jygprl
-!
+
 !         Test conseravtion de l'eau
-!
+
       IF (debut) THEN
         PRINT *, ' cv3_yield -> fqd(1) = ', fqd(igout, 1)
       END IF !(debut) THEN
-!   
+
       IF (prt_level >= 10) THEN
         Print *, 'cva_driver after cv3_yield:ft(1) , ftd(1) ', &
@@ -1165,5 +1164,5 @@
                     fq(igout,1), fqd(igout,1)
       ENDIF
-!   
+
     END IF
 
@@ -1235,5 +1234,5 @@
                            wdtrainA1, wdtrainS1, wdtrainM1,                  & ! RomP
                            qtc1, sigt1, detrain1, epmax_diag1) ! epmax_cape
-!   
+
       IF (prt_level >= 10) THEN
         Print *, 'cva_driver after cv3_uncompress:ft1(1) , ftd1(1) ', &
@@ -1242,5 +1241,5 @@
                     fq1(igout,1), fqd1(igout,1)
       ENDIF
-!   
+
     END IF
 
@@ -1260,6 +1259,6 @@
 
   END IF ! ncum>0
-!
-!
+
+
   DO i = 1,len
     IF (iflag1(i) == 14) THEN
@@ -1269,5 +1268,4 @@
   ENDDO
 
-!
 ! In order take into account the possibility of changing the compression,
 ! reset m, sig and w0 to zero for non-convective points.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvflag.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvflag.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvflag.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       logical cvflag_grav
       logical cvflag_ice
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id $
-!
+
 SUBROUTINE cvltr(pdtime, da, phi,phi2,d1a,dam, mpIN,epIN, &
 !!           sigd,sij,clw,elij,epmlmMm,eplaMm,              &   !RL
@@ -31,5 +31,5 @@
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: d1a,dam ! matrices pour simplifier
   REAL,DIMENSION(klon,klev,klev),INTENT(IN) :: phi2    ! l'ecriture des tendances
-!
+
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: mpIN
   REAL,DIMENSION(klon,klev+1),INTENT(IN)    :: paprs  ! pression aux 1/2 couches (bas en haut)
@@ -39,5 +39,5 @@
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: upd   ! saturated updraft mass flux
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: dnd   ! saturated downdraft mass flux
-!
+
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: wdtrainA   ! masses precipitantes de l'asc adiab
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: wdtrainM   ! masses precipitantes des melanges
@@ -63,5 +63,5 @@
   REAL,DIMENSION(klon,klev,nbtr),INTENT(OUT)     :: dtrsat    ! tendance trsp+sat scav
   REAL,DIMENSION(klon,klev,nbtr),INTENT(OUT)     :: dtrUscav  ! tendance du lessivage courant unsat
-!
+
 ! Variables locales
   INTEGER                           :: i,j,k
@@ -112,5 +112,5 @@
   REAL                    :: ccntrENV_coef       ! \beta_m  : fract aerosols de l'env convertis en CCN
   REAL                    :: coefcoli            ! coefficient de collision des gouttes sur les aerosols
-!
+
   LOGICAL,DIMENSION(klon,klev) :: NO_precip
 !  LOGICAL                      :: scavON
@@ -166,5 +166,5 @@
    enddo
   enddo
-!
+
 ! initialisation pour flux de traceurs, td et autre
    trsptrac = 0.
@@ -311,7 +311,7 @@
   ENDDO
 !!!!!
-!
+
 ! rajout du terme lie a l ascendance induite
-!
+
   DO j=2,klev
      DO i=1,klon
@@ -319,7 +319,7 @@
      END DO
   END DO
-!
+
 ! tendance courants insatures  ! sans lessivage ancien schema
-!
+
   DO k=1,klev
      DO j=1,klev
@@ -329,9 +329,9 @@
      END DO
   END DO
-!
+
 ! =========================================
 ! calcul des tendances liees aux courants satures   j <-> z ; k <-> z'
 ! =========================================
-!
+
 !RL
 !  Feeding concentrations
@@ -342,5 +342,5 @@
   END DO
 !RL
-!
+
   DO j=1,klev
      DO i=1,klon
@@ -351,5 +351,5 @@
      END DO
   END DO
-!
+
   DO k=1,klev
      DO j=1,klev
@@ -540,5 +540,5 @@
             (pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
             (-mp(i,j+1)*qDi(i,j+1,it)))
-!
+
           qPr(i,j,it)=kappa(i,j)*(&
             (-mp(i,j+1)-imp(i,j)/RG*dxpres(i,j))*&
@@ -558,5 +558,5 @@
             (pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
             (-mp(i,j+1)*(qDi(i,j+1,it)-tr(i,j,it))-mp(i,j)*tr(i,j,it)))
-!
+
           qPr(i,j,it)=kappa(i,j)*(&
             (-mp(i,j)-imp(i,j)/RG*dxpres(i,j))*&
@@ -619,5 +619,5 @@
         uscavtrac= (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))&
                    + mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
-!
+
 !        if(it.eq.3) write(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
 !                    (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
@@ -627,5 +627,5 @@
       elseif(mp(i,k)>mp(i,k+1).and.mp(i,k)>1.e-10) then
          uscavtrac= mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
-!
+
 !         if(it.eq.3) write(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
 !=!------------------------------------------------------------- end ent/det 
@@ -645,5 +645,5 @@
          uscavtrac= (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it)) !&
 !                   + mp(i,2)*(0.-tr(i,k,it))
-!
+
 !       if(it.eq.3) write(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
 !                  (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
@@ -685,5 +685,5 @@
 !         conservMA=conservMA+dtrcvMA(i,k,it)*   &
 !        (paprs(i,k)-paprs(i,k+1))/RG
-!
+
 !      if(it.eq.3)  write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
 !         'MA td ',dtrcvMA(i,k,it)*dxpres(i,k)/RG,&
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id $
-!
+
 SUBROUTINE cvltr_noscav(it,pdtime,da, phi, mp,wght_cvfd,paprs,pplay,x,upd,dnd,dx)
   USE dimphy
@@ -48,5 +48,5 @@
 ! calcul des tendances liees au downdraft
 ! =========================================
-!
+
   smallest_mp = tiny(mp(1,1))
 !cdir collapse
@@ -102,7 +102,7 @@
      END DO
   END DO
-!
+
 ! rajout du terme lie a l ascendance induite
-!
+
   DO j=2,klev
      DO i=1,klon
@@ -110,7 +110,7 @@
      END DO
   END DO
-!
+
 ! tendances
-!            
+
   DO k=1,klev
      DO j=1,klev
@@ -120,5 +120,5 @@
      END DO
   END DO
-!
+
 ! =========================================
 ! calcul des tendances liees aux flux satures
@@ -132,5 +132,5 @@
   END DO
 !RL
-!
+
   DO j=1,klev
      DO i=1,klon
@@ -141,8 +141,8 @@
      END DO
   END DO
-!
+
 !!  print *,'it, qfeed(1,it), x(1,1,it) ', it, qfeed(1,it), x(1,1,it)  !jyg
 !!  print *,'wght_cvfd ', (j, wght_cvfd(1,j), j=1,5)                     !jyg
-!
+
   DO k=1,klev
      DO j=1,klev
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id $
-!
+
 SUBROUTINE cvltr_scav(pdtime, da, phi,phi2,d1a,dam, mpIN,epIN, &
      sigd,sij,wght_cvfd,clw,elij,epmlmMm,eplaMm,    &
@@ -10,5 +10,5 @@
      qPa,qMel,qTrdi,dtrcvMA,Mint,                   &
      zmfd1a,zmfphi2,zmfdam)
-  !
+
   USE IOIPSL 
   USE dimphy
@@ -33,5 +33,5 @@
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: d1a,dam ! matrices pour simplifier
   REAL,DIMENSION(klon,klev,klev),INTENT(IN) :: phi2    ! l'ecriture des tendances
-  !
+
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: mpIN
   REAL,DIMENSION(klon,klev+1),INTENT(IN)    :: paprs  ! pression aux 1/2 couches (bas en haut)
@@ -40,5 +40,5 @@
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: upd   ! saturated updraft mass flux
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: dnd   ! saturated downdraft mass flux
-  !
+
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: wdtrainA   ! masses precipitantes de l'asc adiab
   REAL,DIMENSION(klon,klev),INTENT(IN)      :: wdtrainM   ! masses precipitantes des melanges
@@ -59,9 +59,9 @@
   REAL,DIMENSION(klon),INTENT(IN)           :: sigd
   INTEGER,DIMENSION(klon),INTENT(IN)        :: icb,inb
-  !
+
   REAL,DIMENSION(klon,klev),INTENT(IN) :: ccntrAA_3d
   REAL,DIMENSION(klon,klev),INTENT(IN) :: ccntrENV_3d
   REAL,DIMENSION(klon,klev),INTENT(IN) :: coefcoli_3d
-  !
+
   ! Sortie
   REAL,DIMENSION(klon,klev,nbtr),INTENT(OUT)     :: dtrcv     ! tendance totale (bas en haut)
@@ -71,5 +71,5 @@
   REAL,DIMENSION(klon,klev,nbtr),INTENT(OUT)     :: dtrsat    ! tendance trsp+sat scav
   REAL,DIMENSION(klon,klev,nbtr),INTENT(OUT)     :: dtrUscav  ! tendance du lessivage courant unsat
-  !
+
   ! Variables locales
   INTEGER                           :: i,j,k
@@ -116,5 +116,5 @@
 !!!
   REAL,DIMENSION(klon,klev)         :: imp              ! coefficient d'impaction
-  !
+
   LOGICAL,DIMENSION(klon,klev) :: NO_precip
   ! var tmp tests
@@ -142,7 +142,7 @@
 !!  ENDDO
 !>jyg
-  !
+
   ! initialisation pour flux de traceurs, td et autre
-  !
+
   trsptrac = 0.
   scavtrac = 0.
@@ -308,7 +308,7 @@
   ENDDO
 !!!!!
-  !
+
   ! rajout du terme lie a l ascendance induite
-  !
+
   DO j=2,klev
      DO i=1,klon
@@ -316,7 +316,7 @@
      END DO
   END DO
-  !
+
   ! tendance courants insatures  ! sans lessivage ancien schema
-  !
+
   DO k=1,klev
      DO j=1,klev
@@ -326,5 +326,5 @@
      END DO
   END DO
-  !
+
   ! =========================================
   ! calcul des tendances liees aux courants satures   j <-> z ; k <-> z'
@@ -338,5 +338,5 @@
   END DO
   !RL
-  !
+
   DO j=1,klev
      DO i=1,klon
@@ -347,5 +347,5 @@
      END DO
   END DO
-  !
+
   DO k=1,klev
      DO j=1,klev
@@ -540,5 +540,5 @@
                          (pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
                          (-mp(i,j+1)*qDi(i,j+1,it)))
-                    !
+
                     qPr(i,j,it)=kappa(i,j)*(&
                          (-mp(i,j+1)-imp(i,j)/RG*dxpres(i,j))*&
@@ -558,5 +558,5 @@
                          (pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
                          (-mp(i,j+1)*(qDi(i,j+1,it)-tr(i,j,it))-mp(i,j)*tr(i,j,it)))
-                    !
+
                     qPr(i,j,it)=kappa(i,j)*(&
                          (-mp(i,j)-imp(i,j)/RG*dxpres(i,j))*&
@@ -622,5 +622,5 @@
               uscavtrac= (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))&
                    + mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
-              !
+
               !        if(it.eq.3) write(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
               !                    (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
@@ -630,5 +630,5 @@
            ELSEIF(mp(i,k)>mp(i,k+1).AND.mp(i,k)>1.e-10) THEN
               uscavtrac= mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
-              !
+
               !         if(it.eq.3) write(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
               !=!------------------------------------------------------------- end ent/det 
@@ -656,5 +656,5 @@
               uscavtrac= (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it)) !&
               !                   + mp(i,2)*(0.-tr(i,k,it))
-              !
+
               !       if(it.eq.3) write(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
               !                  (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
@@ -696,5 +696,5 @@
   !         conservMA=conservMA+dtrcvMA(i,k,it)*   &
   !        (paprs(i,k)-paprs(i,k+1))/RG
-  !
+
   !      if(it.eq.3)  write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
   !         'MA td ',dtrcvMA(i,k,it)*dxpres(i,k)/RG,&
